# Interface IWorkbenchConstants

public interface IWorkbenchConstants
General constants used by the workbench.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCELERATOR_CONFIGURATION_ID`
Deprecated.
`static final String`
`COLOR_HIGHLIGHT`
`static final String`
`DEFAULT_ACCELERATOR_CONFIGURATION_ID`
Deprecated.
`static final String`
`DEFAULT_ACCELERATOR_SCOPE_ID`
Deprecated.
`static final String`
`DEFAULT_CATEGORY_ID`
`static final String`
`EDITOR_FILE_NAME`
`static final String`
`MAIN_MENU_ID`
`static final String`
`MAIN_TOOLBAR_ID`
`static final String`
`OLE_EDITOR_ID`
`static final String`
`PERSPECTIVE_STACK_ID`
`static final String`
`PREFERENCE_BUNDLE_FILE_NAME`
`static final String`
`RESOURCE_TYPE_FILE_NAME`
`static final String`
`SMALL_FONT`
`static final String`
`TAG_ACTION_SET`
`static final String`
`TAG_ACTIVE`
`static final String`
`TAG_ACTIVE_PAGE_ID`
`static final String`
`TAG_ACTIVE_PART`
`static final String`
`TAG_ACTIVE_PERSPECTIVE`
`static final String`
`TAG_ALWAYS_ON_ACTION_SET`
`static final String`
`TAG_AREA`
`static final String`
`TAG_AREA_TRIM_STATE`
`static final String`
`TAG_AREA_VISIBLE`
`static final String`
`TAG_CLASS`
`static final String`
`TAG_CLOSEABLE`
`static final String`
`TAG_CONTENT`
`static final String`
`TAG_CONTENT_TYPE`
`static final String`
`TAG_DEFAULT_EDITOR`
`static final String`
`TAG_DELETED_EDITOR`
`static final String`
`TAG_DESCRIPTOR`
`static final String`
`TAG_DETACHED_WINDOW`
`static final String`
`TAG_EDIT_PAGE_ID`
`static final String`
`TAG_EDITOR`
`static final String`
`TAG_EDITOR_STATE`
`static final String`
`TAG_EDITORS`
`static final String`
`TAG_EXPANDED`
`static final String`
`TAG_EXTENSION`
`static final String`
`TAG_FACTORY_ID`
`static final String`
`TAG_FAST_VIEW_BAR`
`static final String`
`TAG_FAST_VIEW_BARS`
`static final String`
`TAG_FAST_VIEW_SIDE`
`static final String`
`TAG_FAST_VIEWS`
`static final String`
`TAG_FILE`
`static final String`
`TAG_FOCUS`
`static final String`
`TAG_FOLDER`
`static final String`
`TAG_HEIGHT`
`static final String`
`TAG_HIDDEN_WINDOW`
`static final String`
`TAG_HIDE_MENU`
`static final String`
`TAG_HIDE_TOOLBAR`
`static final String`
`TAG_HISTORY_LABEL`
`static final String`
`TAG_ID`
`static final String`
`TAG_IMAGE`
`static final String`
`TAG_INDEX`
`static final String`
`TAG_INFO`
`static final String`
`TAG_INPUT`
`static final String`
`TAG_INTERNAL`
deprecated - use TAG_OPEN_MODE
`static final String`
`TAG_INTRO`
`static final String`
`TAG_ITEM`
`static final String`
`TAG_LABEL`
`static final String`
`TAG_LAUNCHER`
`static final String`
`TAG_LAYOUT`
`static final String`
`TAG_LOCKED`
`static final String`
`TAG_MAIN_WINDOW`
`static final String`
`TAG_MAXIMIZED`
`static final String`
`TAG_MINIMIZED`
`static final String`
`TAG_MRU_LIST`
`static final String`
`TAG_NAME`
`static final String`
`TAG_NAVIGATION_HISTORY`
`static final String`
`TAG_NEW_WIZARD_ACTION`
`static final String`
`TAG_OPEN_IN_PLACE`
deprecated - use TAG_OPEN_MODE
`static final String`
`TAG_OPEN_MODE`
`static final String`
`TAG_PAGE`
`static final String`
`TAG_PART`
`static final String`
`TAG_PART_NAME`
`static final String`
`TAG_PATH`
`static final String`
`TAG_PERSISTABLE`
`static final String`
`TAG_PERSPECTIVE`
`static final String`
`TAG_PERSPECTIVE_ACTION`
`static final String`
`TAG_PERSPECTIVE_BAR`
`static final String`
`TAG_PERSPECTIVES`
`static final String`
`TAG_PINNED`
`static final String`
`TAG_PLUGIN`
`static final String`
`TAG_POSITION`
`static final String`
`TAG_PRESENTATION`
`static final String`
`TAG_PROGRAM_NAME`
`static final String`
`TAG_PROGRESS_COUNT`
`static final String`
`TAG_PROPERTIES`
`static final String`
`TAG_PROPERTY`
`static final String`
`TAG_RATIO`
`static final String`
`TAG_RATIO_LEFT`
`static final String`
`TAG_RATIO_RIGHT`
`static final String`
`TAG_RELATIONSHIP`
`static final String`
`TAG_RELATIVE`
`static final String`
`TAG_REMOVED`
`static final String`
`TAG_SHOW_IN_TIME`
`static final String`
`TAG_SHOW_TITLE`
`static final String`
`TAG_SHOW_VIEW_ACTION`
`static final String`
`TAG_STANDALONE`
`static final String`
`TAG_STARTUP`
`static final String`
`TAG_STICKY_STATE`
`static final String`
`TAG_THEME`
`static final String`
`TAG_TIME`
`static final String`
`TAG_TITLE`
`static final String`
`TAG_TOOLTIP`
`static final String`
`TAG_TRIM`
`static final String`
`TAG_TRIM_AREA`
`static final String`
`TAG_TRIM_ITEM`
`static final String`
`TAG_USE_DEPENDENCY_INJECTION`
`static final String`
`TAG_VERSION`
`static final String`
`TAG_VIEW`
`static final String`
`TAG_VIEW_LAYOUT_REC`
`static final String`
`TAG_VIEW_STATE`
`static final String`
`TAG_VIEWS`
`static final String`
`TAG_WIDTH`
`static final String`
`TAG_WINDOW`
`static final String`
`TAG_WORKBENCH`
`static final String`
`TAG_WORKBOOK`
`static final String`
`TAG_WORKING_SET`
`static final String`
`TAG_WORKING_SET_MANAGER`
`static final String`
`TAG_WORKING_SETS`
`static final String`
`TAG_X`
`static final String`
`TAG_Y`
`static final String`
`WORKBENCH_PROPERTIES_PAGE_INFO`
`static final String`
`WORKBENCH_VISIBLE_VIEW_ID`

## Field Details

### ACCELERATOR_CONFIGURATION_ID

@Deprecated static final String ACCELERATOR_CONFIGURATION_ID
Deprecated.

See Also:
  - Constant Field Values

### DEFAULT_ACCELERATOR_CONFIGURATION_ID

@Deprecated static final String DEFAULT_ACCELERATOR_CONFIGURATION_ID
Deprecated.

See Also:
  - Constant Field Values

### DEFAULT_ACCELERATOR_SCOPE_ID

@Deprecated static final String DEFAULT_ACCELERATOR_SCOPE_ID
Deprecated.

See Also:
  - Constant Field Values

### PERSPECTIVE_STACK_ID

static final String PERSPECTIVE_STACK_ID

See Also:
  - Constant Field Values

### MAIN_TOOLBAR_ID

static final String MAIN_TOOLBAR_ID

See Also:
  - Constant Field Values

### MAIN_MENU_ID

static final String MAIN_MENU_ID

See Also:
  - Constant Field Values

### EDITOR_FILE_NAME

static final String EDITOR_FILE_NAME

See Also:
  - Constant Field Values

### RESOURCE_TYPE_FILE_NAME

static final String RESOURCE_TYPE_FILE_NAME

See Also:
  - Constant Field Values

### PREFERENCE_BUNDLE_FILE_NAME

static final String PREFERENCE_BUNDLE_FILE_NAME

See Also:
  - Constant Field Values

### WORKBENCH_VISIBLE_VIEW_ID

static final String WORKBENCH_VISIBLE_VIEW_ID

See Also:
  - Constant Field Values

### WORKBENCH_PROPERTIES_PAGE_INFO

static final String WORKBENCH_PROPERTIES_PAGE_INFO

See Also:
  - Constant Field Values

### OLE_EDITOR_ID

static final String OLE_EDITOR_ID

See Also:
  - Constant Field Values

### DEFAULT_CATEGORY_ID

static final String DEFAULT_CATEGORY_ID

See Also:
  - Constant Field Values

### TAG_ID

static final String TAG_ID

See Also:
  - Constant Field Values

### TAG_FOCUS

static final String TAG_FOCUS

See Also:
  - Constant Field Values

### TAG_EDITOR

static final String TAG_EDITOR

See Also:
  - Constant Field Values

### TAG_DEFAULT_EDITOR

static final String TAG_DEFAULT_EDITOR

See Also:
  - Constant Field Values

### TAG_DELETED_EDITOR

static final String TAG_DELETED_EDITOR

See Also:
  - Constant Field Values

### TAG_EDITORS

static final String TAG_EDITORS

See Also:
  - Constant Field Values

### TAG_WORKBOOK

static final String TAG_WORKBOOK

See Also:
  - Constant Field Values

### TAG_AREA

static final String TAG_AREA

See Also:
  - Constant Field Values

### TAG_AREA_VISIBLE

static final String TAG_AREA_VISIBLE

See Also:
  - Constant Field Values

### TAG_AREA_TRIM_STATE

static final String TAG_AREA_TRIM_STATE

See Also:
  - Constant Field Values

### TAG_INPUT

static final String TAG_INPUT

See Also:
  - Constant Field Values

### TAG_FACTORY_ID

static final String TAG_FACTORY_ID

See Also:
  - Constant Field Values

### TAG_EDITOR_STATE

static final String TAG_EDITOR_STATE

See Also:
  - Constant Field Values

### TAG_TITLE

static final String TAG_TITLE

See Also:
  - Constant Field Values

### TAG_X

static final String TAG_X

See Also:
  - Constant Field Values

### TAG_Y

static final String TAG_Y

See Also:
  - Constant Field Values

### TAG_WIDTH

static final String TAG_WIDTH

See Also:
  - Constant Field Values

### TAG_HEIGHT

static final String TAG_HEIGHT

See Also:
  - Constant Field Values

### TAG_MINIMIZED

static final String TAG_MINIMIZED

See Also:
  - Constant Field Values

### TAG_MAXIMIZED

static final String TAG_MAXIMIZED

See Also:
  - Constant Field Values

### TAG_FOLDER

static final String TAG_FOLDER

See Also:
  - Constant Field Values

### TAG_INFO

static final String TAG_INFO

See Also:
  - Constant Field Values

### TAG_PART

static final String TAG_PART

See Also:
  - Constant Field Values

### TAG_PART_NAME

static final String TAG_PART_NAME

See Also:
  - Constant Field Values

### TAG_PROPERTIES

static final String TAG_PROPERTIES

See Also:
  - Constant Field Values

### TAG_PROPERTY

static final String TAG_PROPERTY

See Also:
  - Constant Field Values

### TAG_RELATIVE

static final String TAG_RELATIVE

See Also:
  - Constant Field Values

### TAG_RELATIONSHIP

static final String TAG_RELATIONSHIP

See Also:
  - Constant Field Values

### TAG_RATIO

static final String TAG_RATIO

See Also:
  - Constant Field Values

### TAG_RATIO_LEFT

static final String TAG_RATIO_LEFT

See Also:
  - Constant Field Values

### TAG_RATIO_RIGHT

static final String TAG_RATIO_RIGHT

See Also:
  - Constant Field Values

### TAG_ACTIVE_PAGE_ID

static final String TAG_ACTIVE_PAGE_ID

See Also:
  - Constant Field Values

### TAG_EXPANDED

static final String TAG_EXPANDED

See Also:
  - Constant Field Values

### TAG_PAGE

static final String TAG_PAGE

See Also:
  - Constant Field Values

### TAG_INTRO

static final String TAG_INTRO

See Also:
  - Constant Field Values

### TAG_LABEL

static final String TAG_LABEL

See Also:
  - Constant Field Values

### TAG_CONTENT

static final String TAG_CONTENT

See Also:
  - Constant Field Values

### TAG_CLASS

static final String TAG_CLASS

See Also:
  - Constant Field Values

### TAG_USE_DEPENDENCY_INJECTION

static final String TAG_USE_DEPENDENCY_INJECTION

See Also:
  - Constant Field Values

### TAG_FILE

static final String TAG_FILE

See Also:
  - Constant Field Values

### TAG_DESCRIPTOR

static final String TAG_DESCRIPTOR

See Also:
  - Constant Field Values

### TAG_MAIN_WINDOW

static final String TAG_MAIN_WINDOW

See Also:
  - Constant Field Values

### TAG_DETACHED_WINDOW

static final String TAG_DETACHED_WINDOW

See Also:
  - Constant Field Values

### TAG_HIDDEN_WINDOW

static final String TAG_HIDDEN_WINDOW

See Also:
  - Constant Field Values

### TAG_WORKBENCH

static final String TAG_WORKBENCH

See Also:
  - Constant Field Values

### TAG_WINDOW

static final String TAG_WINDOW

See Also:
  - Constant Field Values

### TAG_VERSION

static final String TAG_VERSION

See Also:
  - Constant Field Values

### TAG_PROGRESS_COUNT

static final String TAG_PROGRESS_COUNT

See Also:
  - Constant Field Values

### TAG_PERSPECTIVES

static final String TAG_PERSPECTIVES

See Also:
  - Constant Field Values

### TAG_PERSPECTIVE

static final String TAG_PERSPECTIVE

See Also:
  - Constant Field Values

### TAG_ACTIVE_PERSPECTIVE

static final String TAG_ACTIVE_PERSPECTIVE

See Also:
  - Constant Field Values

### TAG_ACTIVE_PART

static final String TAG_ACTIVE_PART

See Also:
  - Constant Field Values

### TAG_ACTION_SET

static final String TAG_ACTION_SET

See Also:
  - Constant Field Values

### TAG_ALWAYS_ON_ACTION_SET

static final String TAG_ALWAYS_ON_ACTION_SET

See Also:
  - Constant Field Values

### TAG_SHOW_VIEW_ACTION

static final String TAG_SHOW_VIEW_ACTION

See Also:
  - Constant Field Values

### TAG_SHOW_IN_TIME

static final String TAG_SHOW_IN_TIME

See Also:
  - Constant Field Values

### TAG_TIME

static final String TAG_TIME

See Also:
  - Constant Field Values

### TAG_NEW_WIZARD_ACTION

static final String TAG_NEW_WIZARD_ACTION

See Also:
  - Constant Field Values

### TAG_PERSPECTIVE_ACTION

static final String TAG_PERSPECTIVE_ACTION

See Also:
  - Constant Field Values

### TAG_HIDE_MENU

static final String TAG_HIDE_MENU

See Also:
  - Constant Field Values

### TAG_HIDE_TOOLBAR

static final String TAG_HIDE_TOOLBAR

See Also:
  - Constant Field Values

### TAG_VIEW

static final String TAG_VIEW

See Also:
  - Constant Field Values

### TAG_LAYOUT

static final String TAG_LAYOUT

See Also:
  - Constant Field Values

### TAG_EXTENSION

static final String TAG_EXTENSION

See Also:
  - Constant Field Values

### TAG_CONTENT_TYPE

static final String TAG_CONTENT_TYPE

See Also:
  - Constant Field Values

### TAG_NAME

static final String TAG_NAME

See Also:
  - Constant Field Values

### TAG_IMAGE

static final String TAG_IMAGE

See Also:
  - Constant Field Values

### TAG_LAUNCHER

static final String TAG_LAUNCHER

See Also:
  - Constant Field Values

### TAG_PLUGIN

static final String TAG_PLUGIN

See Also:
  - Constant Field Values

### TAG_INTERNAL

static final String TAG_INTERNAL
deprecated - use TAG_OPEN_MODE

See Also:
  - Constant Field Values

### TAG_OPEN_IN_PLACE

static final String TAG_OPEN_IN_PLACE
deprecated - use TAG_OPEN_MODE

See Also:
  - Constant Field Values

### TAG_PROGRAM_NAME

static final String TAG_PROGRAM_NAME

See Also:
  - Constant Field Values

### TAG_FAST_VIEWS

static final String TAG_FAST_VIEWS

See Also:
  - Constant Field Values

### TAG_FAST_VIEW_BAR

static final String TAG_FAST_VIEW_BAR

See Also:
  - Constant Field Values

### TAG_FAST_VIEW_BARS

static final String TAG_FAST_VIEW_BARS

See Also:
  - Constant Field Values

### TAG_CLOSEABLE

static final String TAG_CLOSEABLE

See Also:
  - Constant Field Values

### TAG_PRESENTATION

static final String TAG_PRESENTATION

See Also:
  - Constant Field Values

### TAG_STANDALONE

static final String TAG_STANDALONE

See Also:
  - Constant Field Values

### TAG_SHOW_TITLE

static final String TAG_SHOW_TITLE

See Also:
  - Constant Field Values

### TAG_VIEW_STATE

static final String TAG_VIEW_STATE

See Also:
  - Constant Field Values

### TAG_PERSISTABLE

static final String TAG_PERSISTABLE

See Also:
  - Constant Field Values

### TAG_MRU_LIST

static final String TAG_MRU_LIST

See Also:
  - Constant Field Values

### TAG_WORKING_SET_MANAGER

static final String TAG_WORKING_SET_MANAGER

See Also:
  - Constant Field Values

### TAG_WORKING_SETS

static final String TAG_WORKING_SETS

See Also:
  - Constant Field Values

### TAG_WORKING_SET

static final String TAG_WORKING_SET

See Also:
  - Constant Field Values

### TAG_ITEM

static final String TAG_ITEM

See Also:
  - Constant Field Values

### TAG_EDIT_PAGE_ID

static final String TAG_EDIT_PAGE_ID

See Also:
  - Constant Field Values

### TAG_INDEX

static final String TAG_INDEX

See Also:
  - Constant Field Values

### TAG_PINNED

static final String TAG_PINNED

See Also:
  - Constant Field Values

### TAG_PATH

static final String TAG_PATH

See Also:
  - Constant Field Values

### TAG_TOOLTIP

static final String TAG_TOOLTIP

See Also:
  - Constant Field Values

### TAG_VIEWS

static final String TAG_VIEWS

See Also:
  - Constant Field Values

### TAG_POSITION

static final String TAG_POSITION

See Also:
  - Constant Field Values

### TAG_NAVIGATION_HISTORY

static final String TAG_NAVIGATION_HISTORY

See Also:
  - Constant Field Values

### TAG_STICKY_STATE

static final String TAG_STICKY_STATE

See Also:
  - Constant Field Values

### TAG_ACTIVE

static final String TAG_ACTIVE

See Also:
  - Constant Field Values

### TAG_REMOVED

static final String TAG_REMOVED

See Also:
  - Constant Field Values

### TAG_HISTORY_LABEL

static final String TAG_HISTORY_LABEL

See Also:
  - Constant Field Values

### TAG_LOCKED

static final String TAG_LOCKED

See Also:
  - Constant Field Values

### TAG_OPEN_MODE

static final String TAG_OPEN_MODE

See Also:
  - Constant Field Values

### TAG_STARTUP

static final String TAG_STARTUP

See Also:
  - Constant Field Values

### TAG_FAST_VIEW_SIDE

static final String TAG_FAST_VIEW_SIDE

See Also:
  - Constant Field Values

### TAG_THEME

static final String TAG_THEME

See Also:
  - Constant Field Values

### TAG_VIEW_LAYOUT_REC

static final String TAG_VIEW_LAYOUT_REC

See Also:
  - Constant Field Values

### TAG_PERSPECTIVE_BAR

static final String TAG_PERSPECTIVE_BAR

See Also:
  - Constant Field Values

### TAG_TRIM

static final String TAG_TRIM

See Also:
  - Constant Field Values

### TAG_TRIM_AREA

static final String TAG_TRIM_AREA

See Also:
  - Constant Field Values

### TAG_TRIM_ITEM

static final String TAG_TRIM_ITEM

See Also:
  - Constant Field Values

### SMALL_FONT

static final String SMALL_FONT

See Also:
  - Constant Field Values

### COLOR_HIGHLIGHT

static final String COLOR_HIGHLIGHT

See Also:
  - Constant Field Values